# ce_rollback – Set a checkpoint or rollback to a checkpoint on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module offers the ability to set a configuration checkpoint file or rollback to a configuration checkpoint file on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

action
- / required

Choices:
- rollback
- clear
- set
- display
- commit

The operation of configuration rollback.

commit_id - |  | Specifies the label of the configuration rollback point to which system configurations are expected to roll back. The value is an integer that the system generates automatically.
filename - |  | Specifies a configuration file for configuration rollback. The value is a string of 5 to 64 case-sensitive characters in the format of *.zip, *.cfg, or *.dat, spaces not supported.
label - |  | Specifies a user label for a configuration rollback point. The value is a string of 1 to 256 case-sensitive ASCII characters, spaces not supported. The value must start with a letter and cannot be presented in a single hyphen (-).
last - |  | Specifies the number of configuration rollback points. The value is an integer that ranges from 1 to 80.
oldest - |  | Specifies the number of configuration rollback points. The value is an integer that ranges from 1 to 80.

## Notes

Note

- Recommended connection is `network_cli`.
- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: rollback module test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

    - name: Ensure commit_id is exist, and specifies the label of the configuration rollback point to
            which system configurations are expected to roll back.
      ce_rollback:
        commit_id: 1000000748
        action: rollback
        provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of configuration after module execution Sample: {'commitId': '1000000748', 'userLabel': 'abc'}
existing dictionary | sometimes | k/v pairs of existing rollback Sample: {'commitId': '1000000748', 'userLabel': 'abc'}
proposed dictionary | sometimes | k/v pairs of parameters passed into module Sample: {'commit_id': '1000000748', 'action': 'rollback'}
updates list | always | command sent to the device Sample: ['rollback configuration to file a.cfg', 'set configuration commit 1000000783 label ddd', 'clear configuration commit 1000000783 label', 'display configuration commit list']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Li Yanfeng (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.